Subject: Re: bug#56682: Fix the long lines font locking related slowdowns

From: Gregory Heytings <[email-masked]>
Date: Mon, 15 Aug 2022 20:53:12 +0000

>
> I said those words just as I was working on improving font-lock's 
> performance in JSON files. An effort which doesn't make sense if you 
> narrow around font-lock anyway.
>
> Also note that until now it has been impossible to improve redisplay of 
> big files by working on font-lock (other bottlenecks were much more 
> significant).
>

Wrong.  The (much more common) case of big files _without_ long lines, in 
which the same font locking slowdowns already exist, has AFAICS not been a 
sufficient incentive to improve font locking.